/*******************************************************************************
 * StrutsContext.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.ats.webbeans.struts;

import javax.el.ELContext;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

/**
 * 
 * Clase que sobreescribe el objeto StrutsContext 
 * para su uso con JSF 2.0
 *
 */
public class StrutsContext {
	
	
	public HttpServletRequest getRequest(){
		FacesContext ctx = FacesContext.getCurrentInstance();
		return (HttpServletRequest)ctx.getExternalContext().getRequest();
	}
	
	
	public void copyRequestToBean(String bean){
		// No se implementada ya que 
		// en jsf los beans son gestionados
		// y ya recuperara la información de la pantalla.
	}
	
	public Object getData(String bean){
		FacesContext ctx = FacesContext.getCurrentInstance();
		ELContext elContext = ctx.getELContext();
		Object object = ctx.getApplication().getELResolver().getValue(elContext, null, bean);
		return object;
	}
	
	

}
