/*******************************************************************************
 * ContextParam.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import org.apache.commons.lang3.builder.ReflectionToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 
 * Bean para guardar la información
 * del tag context-param del fichero web.xml
 * 
 * @author oliver
 *
 */
public class ContextParam {
	
	private String paramName;
	private String paramValue;
	
	/**
	 * Ctr.
	 * 
	 */
	public ContextParam(){
		this.paramName = "";
		this.paramValue = "";
	}
	
	/**
	 * Ctr.
	 * 
	 * @param paramName nombre del parámetro.
	 * @param paramValue valor del parámetro.
	 */
	public ContextParam(String paramName, String paramValue){
		this.paramName = paramName;
		this.paramValue = paramValue;		
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getParamValue() {
		return paramValue;
	}

	public void setParamValue(String paramValue) {
		this.paramValue = paramValue;
	}
	
	public String toString(){
		return ReflectionToStringBuilder.toString(this, ToStringStyle.MULTI_LINE_STYLE);
	}		

}
