/*******************************************************************************
 * FlowStateList.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class FlowStateList {
	
	private List<WebBean> webbeans = null;
	private List<FlowStateNode> flowStateList = null;

	
	public FlowStateList(List<WebBean> webbeans){
		this.webbeans = webbeans;
		WebBean webbean = null;
		if (null==flowStateList){
			if (null!=webbeans){
				flowStateList = new ArrayList<FlowStateNode>();
				Iterator<WebBean> it = webbeans.iterator();
				while (it.hasNext()){
					webbean = it.next();
					flowStateList.add(FlowStateNode.parse(webbean.getFlow(), webbean.getId(), webbean.getViews() ) );
				}
			}
		}		
	}
	
	public List<FlowStateNode> getFlowStateList(){
		return flowStateList;
	}
	
	public FlowStateNode getFlowStateNode(String webbeanId){
		FlowStateNode node = null;
		boolean found = false;
		Iterator<FlowStateNode> it = flowStateList.iterator();
		FlowStateNode pointer = null;
		while ( (!found) && (it.hasNext()) ){
			pointer = it.next();
			if (webbeanId.equals(pointer.getWebbeanId())){
				found = true;
				node = pointer;
			}
		}		
		return node;		
	}
	
	
//	public FlowStateNode getFirstState(String flowId){
//		boolean found = false;
//		Iterator<FlowStateNode> it = flowStateList.iterator();
//		FlowStateNode node = null;
//		while ( (!found) && (it.hasNext()) ){
//			node = it.next();
//			//-- el primer elemento siempre es el primer state
//			//if   
//		}
//	}
	
	
	

}
