/*******************************************************************************
 * ProjectInfo.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import java.io.File;

import org.apache.commons.lang3.builder.ReflectionToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 
 * Clase abstracta para guardar información de proyecto SEA y JSF
 */
public abstract class ProjectInfo {
	

	protected File srcPath;
	protected File webcontentPath;
	


	public File getSrcPath() {
		return srcPath;
	}


	public File getWebcontentPath() {
		return webcontentPath;
	}	
	
	public String concatSrcPathToClass(String clazz){
		String relative = clazz.replaceAll("\\.", "/");
		String sSrcPath = srcPath.getAbsolutePath();
		return sSrcPath.concat("/").concat(relative).concat(".java");
	}
	
	public String concatWebContentPathToFile(String file){
		String sWebContentPath = webcontentPath.getAbsolutePath();
		return sWebContentPath.concat("/").concat(file);
	}
	
	public String toString(){
		return ReflectionToStringBuilder.toString(this, ToStringStyle.MULTI_LINE_STYLE);
	}		


	


}
