/*******************************************************************************
 * ServletMapping.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import java.util.ArrayList;
import java.util.Collection;

public class ServletMapping {
	
	private String servletName;
	private Collection<String> urlPatterns;
	
	
	public ServletMapping(){
		this.servletName = "";
		this.urlPatterns = new ArrayList<String>();
	}
	
	public ServletMapping(String servletName, Collection<String> urlPatterns){
		this.servletName = servletName;
		this.urlPatterns = urlPatterns;
	}

	public String getServletName() {
		return servletName;
	}

	public void setServletName(String servletName) {
		this.servletName = servletName;
	}

	public Collection<String> getUrlPatterns() {
		return urlPatterns;
	}
	
	public void addUrlPattern(String pattern){
		urlPatterns.add(pattern);
	}
	
	@Override
	public boolean equals(Object o) {
		boolean equals = false;
		if (this == o) {
			equals = true;
		}
		if (this.getServletName().equals(((ServletMapping) o).getServletName())) {
			equals = true;
		}
		return equals;
	}

	@Override
	public int hashCode() {
		return servletName.hashCode();
	}	

	
	

	

}
