/*******************************************************************************
 * CopyFiles.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import java.io.File;

import com.seatojsf.appflowmig.JSFProjectInfo;
import com.seatojsf.appflowmig.SEAProjectInfo;

public abstract class  CopyFiles {
	
	
	protected SEAProjectInfo seaProjectInfo;
	protected JSFProjectInfo jsfProjectInfo;
	

	
	
	public CopyFiles(SEAProjectInfo seaProjectInfo, JSFProjectInfo jsfProjectInfo){
		this.seaProjectInfo = seaProjectInfo;
		this.jsfProjectInfo = jsfProjectInfo;
	}
	
	public abstract void copy();
	public abstract  void  process(File file);
	abstract File getFileInJsfProject(File file);

	
	 public  void visitAllDirsAndFiles(File dir) {
	     process(dir);
	     if (dir.isDirectory()) {
	         String[] children = dir.list();
	         for (int i=0; i<children.length; i++) {
	             visitAllDirsAndFiles(new File(dir, children[i]));
	         }
	     }
	 }
	  

	 public  void visitAllDirs(File dir) {
	     if (dir.isDirectory()) {
	         process(dir);
	         String[] children = dir.list();
	         for (int i=0; i<children.length; i++) {
	             visitAllDirs(new File(dir, children[i]));
	         }
	     }
	 }
	  
	 public  void visitAllFiles(File dir) {
	     if (dir.isDirectory()) {
	         String[] children = dir.list();
	         for (int i=0; i<children.length; i++) {
	             visitAllFiles(new File(dir, children[i]));
	         }
	     } else {
	         process(dir);
	     }
	 }
	 
	 
	 



	 
	 
	 
	 
	 

}
