/*******************************************************************************
 * CopyJavaSourceFiles.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;

import com.seatojsf.appflowmig.JSFProjectInfo;
import com.seatojsf.appflowmig.SEAProjectInfo;

public class CopyJavaSourceFiles extends CopyFiles {
	
	private String canSrcFile;

	public CopyJavaSourceFiles(SEAProjectInfo seaProjectInfo,
			JSFProjectInfo jsfProjectInfo) {
		super(seaProjectInfo, jsfProjectInfo);
		try{
			canSrcFile = seaProjectInfo.getSrcPath().getAbsolutePath();
			canSrcFile = canSrcFile.replaceAll("\\\\", "/");
			
			//.getCanonicalPath();			
		}catch (Exception ex){
			throw new RuntimeException(ex);
		}

	}

	@Override
	public void copy() {
		visitAllDirsAndFiles(seaProjectInfo.getSrcPath());

	}

	@Override
	public void process(File file) {
		if (file.isFile()){
			File jsfFile = getFileInJsfProject(file);
			if ( (!jsfFile.exists()) && (!jsfFile.getName().endsWith("webbean")) ){
				try{
					FileUtils.copyFile(file, jsfFile);					
				}catch (IOException io){
					throw new RuntimeException(io);
				}

			}
		}

	}
	
	
	File getFileInJsfProject(File file){
		String canFile = "";
		String relativePath = "";
		try {
			canFile = file.getAbsolutePath();
			canFile = canFile.replaceAll("\\\\", "/");
			//getCanonicalPath();
			relativePath = canFile.replaceFirst(canSrcFile, "");			
		}catch (Exception ex){
			throw new RuntimeException(ex);
		}
		return new File(jsfProjectInfo.getSrcPath() + relativePath);
	}
	
	
	
	

}
