/*******************************************************************************
 * CopyWebContentFiles.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;

import com.seatojsf.appflowmig.JSFProjectInfo;
import com.seatojsf.appflowmig.SEAProjectInfo;

public class CopyWebContentFiles extends CopyFiles {
	
	
	private String canSrcFile;
	

	public CopyWebContentFiles(SEAProjectInfo seaProjectInfo,
			JSFProjectInfo jsfProjectInfo) {
		super(seaProjectInfo, jsfProjectInfo);
		try{
			canSrcFile = seaProjectInfo.getWebcontentPath().getAbsolutePath();	
			canSrcFile = canSrcFile.replaceAll("\\\\", "/");
		}catch (Exception ex){
			throw new RuntimeException(ex);
		}
	}

	@Override
	public void copy() {
		visitAllDirsAndFiles(seaProjectInfo.getWebcontentPath());

	}

	@Override
	public void process(File file) {
		if (file.isFile()){
			File jsfFile = getFileInJsfProject(file);
			if ( (!jsfFile.exists()) && 
					(!jsfFile.getName().endsWith("jsp")) &&
					(!jsfFile.getName().endsWith("tld")) &&
					(!jsfFile.getName().endsWith("xhtml")) &&
					(!jsfFile.getName().contains("struts-config")) &&
					(!jsfFile.getName().contains("web.xml")) &&
					(!jsfFile.getName().contains("aspectjrt.jar")) &&
					(!jsfFile.getName().contains("aspectjweaver.jar")) &&
					(!jsfFile.getName().contains("bsh-core-2.0b4.jar")) &&
					(!jsfFile.getName().contains("commons-beanutils.jar")) &&
					(!jsfFile.getName().contains("commons-collections.jar")) &&
					(!jsfFile.getName().contains("commons-digester.jar")) &&
					(!jsfFile.getName().contains("commons-fileupload.jar")) &&
					(!jsfFile.getName().contains("commons-lang.jar")) &&
					(!jsfFile.getName().contains("commons-logging.jar")) &&
					(!jsfFile.getName().contains("commons-validator.jar")) &&
					(!jsfFile.getName().contains("ezmorph-0.8.1.jar")) &&
					(!jsfFile.getName().contains("jakarta-oro.jar")) &&
					(!jsfFile.getName().contains("javassist.jar")) &&
					(!jsfFile.getName().contains("jaxen-1.1-beta-2.jar")) &&
					(!jsfFile.getName().contains("json-lib-0.8.jar")) &&
					(!jsfFile.getName().contains("sea_rt.jar")) &&
					(!jsfFile.getName().contains("sea_struts_frontend.jar")) &&
					(!jsfFile.getName().contains("SeaContainer.jar")) &&
					(!jsfFile.getName().contains("struts.jar")) &&
					(!jsfFile.getName().contains("widgets_allianz.jar")) &&
					(!jsfFile.getName().contains("xbean_xpath.jar")) &&
					(!jsfFile.getName().contains("xbean.jar")) &&
					(!jsfFile.getAbsolutePath().contains("classes")) 
					
					){
				try{
					FileUtils.copyFile(file, jsfFile);					
				}catch (IOException io){
					throw new RuntimeException(io);
				}

			}
		}
	}

	@Override
	File getFileInJsfProject(File file) {
		String canFile = "";
		String relativePath = "";
		try {
			canFile = file.getAbsolutePath();
			canFile = canFile.replaceAll("\\\\", "/");
			relativePath = canFile.replaceFirst(canSrcFile, "");			
		}catch (Exception ex){
			throw new RuntimeException(ex);
		}
		return new File(jsfProjectInfo.getWebcontentPath() + relativePath);
	}

}
