/*******************************************************************************
 * ViewEventParser.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import com.atsistemas.webbeans.model.v1.CaseMessage;
import com.atsistemas.webbeans.model.v1.ExecuteViewBody;
import com.parser.widgets.EventView;
import com.seatojsf.appflowmig.FlowStateNode;

public class ViewEventParser {
	
	private FlowStateNode view;

	public ViewEventParser(FlowStateNode view) {
		this.view = view;
	}

	public Collection<EventView> parse() {
		ArrayList<EventView> col = new ArrayList<EventView>();
		EventView eventView = null;
		ExecuteViewBody body = view.getState().getEXECUTEVIEW();
		List<CaseMessage> messages = body.getONMESSAGEList();
		Iterator<CaseMessage> it = messages.iterator();
		CaseMessage cm = null;
		while (it.hasNext()){
			cm = it.next();
			eventView = new EventView(cm.getMessageId(), getViewXHTML(cm.getGoState()));
			col.add(eventView);
		}
		return col;
	}
	
	
	private String getViewXHTML(String stateId){
		String viewXHTML = "";
		FlowStateNode child = FlowStateNode.getChildInAllFlow(stateId, view, new HashSet<Object>(), false, null);
		String type = FlowStateNode.getType(child);
		if (!type.equals("view")){
			XHTMLPathGenerator generator = new XHTMLPathGenerator(child);
			viewXHTML = generator.getPath();			
		}
		else{
			
		}
		return viewXHTML;
 
	}
	

	
	
	

}
