/*******************************************************************************
 * FlowMigratorTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import java.io.File;
import java.util.ArrayList;
import org.apache.commons.io.FileUtils;
import org.junit.After;
import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.java.xml.ns.javaee.FacesConfigDocument;
import com.sun.java.xml.ns.javaee.FacesConfigType;
import com.test.utils.WebBeanParserUtilsTest;



public class FlowMigratorTest {
	
	@Test
	public void writeManagedBeans_When_the_sea_flow_contains_two_webbeans()throws Exception{
		FlowMigrator fm = getFlowMigrator();
		fm.writeManagedBeans((WebBean)fm.webbeans.toArray()[0]);
		String srcPath = "test_resources/output/PlanWeb/JavaSource";
		File webbean1 = new File(srcPath + "/es/plan/Bean.java");
		assertEquals(true, webbean1.exists());
		
	}
	
	
	@After
	public void clean()throws Exception{
		FileUtils.deleteDirectory(new File("test_resources/output/PlanWeb"));
	}	
	
	
	//----------------------------------------------------------------------------------
	
	private FlowMigrator getFlowMigrator()throws Exception{
		WebBean webBean = WebBeanParserUtilsTest.parse("test_resources/input/PlanWeb/JavaSource/main.webbean", 
		"test_resources/input/PlanWeb/WebContent/WEB-INF/struts-config-main.xml");
		SEAProjectInfo seaProjectInfo = new SEAProjectInfo(new File("test_resources/input/PlanWeb"), 
		new File("test_resources/input/PlanWeb/JavaSource"),new File("test_resources/input/PlanWeb/WebContent"));
		JSFProjectInfo jsfProjectInfo = new JSFProjectInfo("PlanWeb",new File("test_resources/output"));
		FacesConfigDocument facesDoc = FacesConfigDocument.Factory.newInstance();
		FacesConfigType facesConfig = facesDoc.addNewFacesConfig();		
		ArrayList<WebBean> list = new ArrayList<WebBean>();
		list.add(webBean);
		FlowMigrator fm = new FlowMigrator(list, seaProjectInfo, jsfProjectInfo, facesConfig, new File("templates/primefaces"));
		return fm;
	}
	
	
	
	
	
	
	
	
	
	
	

}
