/*******************************************************************************
 * MultiLanguageSeaTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;

import static org.junit.Assert.*;

import java.io.File;
import java.util.Collection;

import org.junit.Test;

public class MultiLanguageSeaTest {

	@Test
	public void getLanguagesFilesNames_simple_test() {
		SEAProjectInfo seaProjectInfo = new SEAProjectInfo(new File("test_resources/input/PlanWeb"), 
				new File("test_resources/input/PlanWeb/JavaSource"), 
				new File("test_resources/input/PlanWeb/WebContent"));
		MultiLanguageSea ml = new MultiLanguageSea(seaProjectInfo);
		Collection<String> col = ml.getLanguagesFilesNames();
		assertEquals(2, col.size());
		assertEquals(true, col.contains("AllianzResource"));
		assertEquals(true, col.contains("AllianzResource_es_ES"));
		
	}

}
