/*******************************************************************************
 * WebBeanTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.appflowmig;


import java.util.List;
import org.junit.Test;
import static org.junit.Assert.*;
import com.atsistemas.webbeans.model.v1.BeanSection.BEAN;
import com.atsistemas.webbeans.model.v1.Flow;
import com.test.utils.WebBeanParserUtilsTest;


public class WebBeanTest {
	

	@Test
	public void parse_When_input_is_simple_components()throws Exception{
		
		WebBean wp = WebBeanParserUtilsTest.parse("test_resources/input/PlanWeb/JavaSource/main.webbean", 
				"test_resources/input/PlanWeb/WebContent/WEB-INF/struts-config-main.xml");
		List<BEAN> beans = wp.getBeans();
		Flow flow = wp.getFlow();
		List<View> views = wp.getViews();
		View view = (View)views.toArray()[0];
		assertEquals("/WEB-INF/main/main.jsp", view.getPath());
		assertEquals("goView:main", view.getName());
		assertEquals(3, views.size());
		assertEquals(3, beans.size());
		BEAN bean = (BEAN)beans.toArray()[0];
		assertEquals("modelData", bean.getId());
		assertEquals("java.util.ArrayList", bean.getType());
		assertEquals(true, bean.getVisible());
		assertEquals("Init", flow.getFirstState());		
	}
	
	
	
	

}
