/*******************************************************************************
 * CopyJavaSourceFilesTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import static org.junit.Assert.*;

import java.io.File;

import org.junit.Test;

import com.seatojsf.appflowmig.JSFProjectInfo;
import com.seatojsf.appflowmig.SEAProjectInfo;

public class CopyJavaSourceFilesTest {

	@Test
	public void getFileInJsfProject_simple_test() {
		SEAProjectInfo seaProjectInfo = new SEAProjectInfo(new File("test_resources/input/PlanWeb"), 
				new File("test_resources/input/PlanWeb/JavaSource"), 
				new File("test_resources/input/PlanWeb/WebContent"));
		JSFProjectInfo jsfProjectInfo = new JSFProjectInfo("PlanWeb",new File("test_resources/output"));
		CopyJavaSourceFiles copy = new CopyJavaSourceFiles(seaProjectInfo, jsfProjectInfo);
		File f = copy.getFileInJsfProject(new File("test_resources/input/PlanWeb/JavaSource/com.commands.Command.java"));
		assertEquals("test_resources/output/PlanWeb/JavaSource/com.commands.Command.java", f.getPath());
	}

}
