/*******************************************************************************
 * ViewStateTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.seatojsf.parsers;

import static org.junit.Assert.*;

import java.io.File;

import org.apache.commons.io.FileUtils;
import org.junit.After;
import org.junit.Test;
import com.seatojsf.appflowmig.FlowStateNode;
import com.seatojsf.appflowmig.JSFProjectInfo;
import com.seatojsf.appflowmig.SEAProjectInfo;
import com.test.utils.FlowStateNodeUtils;

public class ViewStateTest {
	
	@Test
	public void generateView_When_widget_page_is_simple_and_validate_only_if_file_exist()throws Exception{
		FlowStateNode node = FlowStateNodeUtils.getNodeById_test_resources_input_PlanWeb_JavaSource_main_webbean("customer");
		SEAProjectInfo seaProjectInfo = new SEAProjectInfo(new File("test_resources/input/PlanWeb"), 
		new File("test_resources/input/PlanWeb/JavaSource"),new File("test_resources/input/PlanWeb/WebContent"));
		JSFProjectInfo jsfProjectInfo = new JSFProjectInfo("PlanWeb",new File("test_resources/output"));
		ViewState viewState = new ViewState(node, seaProjectInfo, jsfProjectInfo, new File("templates/primefaces"));
		viewState.writeView();
		File fView = new File("test_resources/output/PlanWeb/WebContent/view/main/customer.xhtml");
		assertEquals(true,fView.exists());
		
	}
	
	@After
	public void clean()throws Exception{
		FileUtils.deleteDirectory(new File("test_resources/output/PlanWeb"));
	}		
	
	
	
	
	

}
