/*******************************************************************************
 * FlowStateNodeUtils.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.test.utils;

import java.util.HashSet;
import com.atsistemas.webbeans.model.v1.Flow;
import com.seatojsf.appflowmig.FlowStateNode;
import com.seatojsf.appflowmig.WebBean;

public class FlowStateNodeUtils {
	
	private String webbeanId;
	private String webbeanFilePath;
	private String strutsConfigFilePath;
	

	
	public FlowStateNodeUtils(String webbeanId, String webbeanFilePath, String strutsConfigFilePath){
		this.webbeanId = webbeanId;
		this.webbeanFilePath = webbeanFilePath;
		this.strutsConfigFilePath = strutsConfigFilePath;
	}
	
	public FlowStateNode getFlowStateNodeById(String id)throws Exception{
		WebBean wp = WebBeanParserUtilsTest.parse(webbeanFilePath,strutsConfigFilePath);
		Flow flow = wp.getFlow();
		FlowStateNode root = FlowStateNode.parse(flow, webbeanId, wp.getViews());
		FlowStateNode node = FlowStateNode.getChildInAllFlow(id, root, new HashSet<Object>(), false, null);
		return node;
	}
	
	
	public FlowStateNode getRootFlowStateNode()throws Exception{
		WebBean wp = WebBeanParserUtilsTest.parse(webbeanFilePath,strutsConfigFilePath);
		Flow flow = wp.getFlow();
		FlowStateNode root = FlowStateNode.parse(flow, webbeanId, wp.getViews());
		return root;
	}
	
	
	public static FlowStateNode getNodeById_test_resources_input_PlanWeb_JavaSource_main_webbean(String id)throws Exception{
		FlowStateNodeUtils fUtils = new FlowStateNodeUtils("main", "test_resources/input/PlanWeb/JavaSource/main.webbean", 
				"test_resources/input/PlanWeb/WebContent/WEB-INF/struts-config-main.xml");
		FlowStateNode node = fUtils.getFlowStateNodeById(id);
		return node;
	}
	
	
	public static FlowStateNode getRootNodeBy_test_resources_input_PlanWeb_JavaSource_main_webbean()throws Exception{
		FlowStateNodeUtils fUtils = new FlowStateNodeUtils("main", "test_resources/input/PlanWeb/JavaSource/main.webbean", 
		"test_resources/input/PlanWeb/WebContent/WEB-INF/struts-config-main.xml");
		FlowStateNode node = fUtils.getRootFlowStateNode();
		return node;
	}
	
	
	
	
	
	

}
