/*******************************************************************************
 * EquivalentAttr.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.parser.widgets;


import java.util.ArrayList;
import java.util.Collection;
import java.util.StringTokenizer;


/**
 * 
 * Se encarga de buscar el atributo equivalente
 * del tag destino sobre el tag origen
 *
 */
public class EquivalentAttr {
	
	private String widgetAttr;
	private Collection<LevelAttributeName> levelAtributesNames;


	
	public EquivalentAttr(String widgetAttr, String value){
		this.widgetAttr = widgetAttr;
		this.levelAtributesNames = new ArrayList<EquivalentAttr.LevelAttributeName>();
		StringTokenizer st = new StringTokenizer(value,"#");
		String token;
		while (st.hasMoreTokens()){
			token = st.nextToken();
			StringTokenizer st2 = new StringTokenizer(token,"@");
			levelAtributesNames.add(new LevelAttributeName(st2.nextToken(), st2.nextToken()));
		}
	}
	
	
	
	
	public Collection<LevelAttributeName> getLevelAtributesNames() {
		return levelAtributesNames;
	}
	
	



	public String getWidgetAttr() {
		return widgetAttr;
	}





	public static class LevelAttributeName{
		String level;
		String attributeName;
		
		public LevelAttributeName (String level, String attributeName){
			this.level = level;
			this.attributeName = attributeName;
		}

		public String getLevel() {
			return level;
		}

		public String getAttributeName() {
			return attributeName;
		}
	}
	
	
	
	
	

	
	
	
	
	

}
