/*******************************************************************************
 * Widget.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.parser.widgets;


import java.util.ArrayList;
import java.util.Collection;

/**
 * 
 * Bean para guardar la información
 * de un tag Widget
 *
 */
public class Widget {
	
	private String type;
	private Widget parent;
	private Collection<Widget> children;
	private Collection<Attribute> attributes;
	private String text;
	
	public Widget(){
		type = "";
		children = new ArrayList<Widget>();
		attributes = new ArrayList<Attribute>();
		parent = null;
		text = "";
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Collection<Widget> getChildren() {
		return children;
	}

	public Collection<Attribute> getAttributes() {
		return attributes;
	}
	
	public void addChild(Widget widget){
		children.add(widget);
	}
	
	public void addAttribute(Attribute attribute){
		attributes.add(attribute);
	}

	public Widget getParent() {
		return parent;
	}

	public void setParent(Widget parent) {
		this.parent = parent;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}
	
	
	
	
	

}
