/*******************************************************************************
 * WidgetPage.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.parser.widgets;


import java.io.IOException;
import java.io.InputStream;
import java.util.Collection;
import org.apache.commons.io.IOUtils;

/**
 * 
 * Guarda la información de todos los widgets
 * de una página y llama a {@link WidgetParser} para
 * que cumplimentar el atributo widgets.
 *
 */
public class WidgetPage {
	
	
	private Collection<Widget> widgets;
	private InputStream page;
	
	
	public WidgetPage(InputStream page){
		this.page = page;
		this.widgets = null;
	}
	
	public void parsePage()throws IOException{
		String text = IOUtils.toString(page);
		WidgetParser parser = new WidgetParser(text);
		widgets = parser.parse();
	}

	public Collection<Widget> getWidgets() {
		return widgets;
	}
	
	
	
	

}
