/*******************************************************************************
 * EquivalentAttrTest.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.parser.widgets;


import java.util.Collection;
import java.util.Properties;
import org.junit.Test;
import com.parser.widgets.EquivalentAttr.LevelAttributeName;
import static org.junit.Assert.*;

public class EquivalentAttrTest {

	@Test
	public void getLevelAttributesNames_When_parse_one_attribute_title_one_level_atrr1() throws Exception {
		Properties prop = com.parser.widgets.IOUtils.readPropertiesFile("test_resources/input/simple_attribute_test.properties");
		String title = prop.getProperty("title");
		EquivalentAttr eqt = new EquivalentAttr("title", title);
		Collection<LevelAttributeName> levelAttrsNames = eqt.getLevelAtributesNames();
		LevelAttributeName attrName = (LevelAttributeName)levelAttrsNames.toArray()[0];
		assertEquals("attr1", attrName.getLevel());
		assertEquals("title", attrName.getAttributeName());
	}

	
	
	//---------------------------------------------------------------------------------------
	


}
