/*******************************************************************************
 * MigratorWizardPage.java
 *  
 *  Copyright (c) 2013, Oliver Tena. All rights reserved.
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301  USA
 ******************************************************************************/
package com.migrator.sea.jsf.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.DirectoryDialog;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import com.migrator.sea.jsf.MigratorDataBean;

public class MigratorWizardPage extends WizardPage {
	
	
	private Text outPutDirectory;
	private Button searchDirButton;
	private Text jsfProjectName;
	
	private MigratorDataBean migratorDataBean;	
	

	protected MigratorWizardPage(String pageName) {
		super(pageName);
		// TODO Auto-generated constructor stub
	}
	
	public void setMigratorDataBean(MigratorDataBean migratorDataBean) {
		this.migratorDataBean = migratorDataBean;
	}

	@Override
	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.numColumns = 3;
		composite.setLayout(layout);
		setControl(composite);
		new Label(composite, SWT.NONE).setText("Output directory: ");
		outPutDirectory = new Text(composite, SWT.BORDER);
		outPutDirectory.setLayoutData(new GridData(405, 15));
		outPutDirectory.setText(migratorDataBean.getOutputDirectory());
		searchDirButton = new Button(composite, SWT.PUSH);
		searchDirButton.setText("Choose directory");
		searchDirButton.addMouseListener(new org.eclipse.swt.events.MouseAdapter() {
					public void mouseDown(
							org.eclipse.swt.events.MouseEvent e) {
						DirectoryDialog dialog = new DirectoryDialog(
								e.display.getActiveShell(), SWT.NONE);
						dialog.setFilterPath(outPutDirectory.getText());
						dialog.open();
						outPutDirectory.setText(dialog.getFilterPath());
						migratorDataBean.setOutputDirectory(dialog.getFilterPath());
					}
				});
		new Label(composite, SWT.NONE).setText("JSF project Name: ");
		jsfProjectName = new Text(composite, SWT.BORDER);
		jsfProjectName.setLayoutData(new GridData(405, 15));
		jsfProjectName.setText(migratorDataBean.getJsfProjectName());		
	}
	
	public void refreshMigratorDataBean(){
		migratorDataBean.setJsfProjectName(jsfProjectName.getText());
		migratorDataBean.setOutputDirectory(outPutDirectory.getText());
	}
	
	

}
